Index: branches/2.1/language/it_IT/admin.lang.php
===================================================================
--- branches/2.1/language/it_IT/admin.lang.php	(revision 6418)
+++ branches/2.1/language/it_IT/admin.lang.php	(revision 6636)
@@ -70,13 +70,13 @@
 $lang['Category elements associated to the following categories: %s'] = 'Gli elementi della categoria sono stati associati alle categorie seguenti : %s';
 $lang['Check for upgrade failed for unknown reasons.'] = 'La verifica dell\'ultima versione sul server è fallita per le ragioni sconosciute.';
-$lang['Check for upgrade'] = 'Ultima versione ?';
+$lang['Check for upgrade'] = 'Controllo aggiornamenti';
 $lang['Comments for all'] = 'Commenti per tutti';
 $lang['Current name'] = 'Nome attuale';
 $lang['Database'] = 'Database';
 $lang['Deactivate'] = 'Disattivare';
-$lang['Delete Representant'] = 'Cancellare il rappresentante';
+$lang['Delete Representant'] = 'Cancellare la copertina';
 $lang['Delete selected tags'] = 'Cancellare i tags selezionati';
 $lang['Delete selected users'] = 'Cancellare gli utenti selezionati';
-$lang['Deletions'] = 'Soppressioni';
+$lang['Deletions'] = 'Eliminazione foto';
 $lang['Deny selected groups'] = 'Vietare l\'accesso ai gruppi selezionati';
 $lang['Deny selected users'] = 'Vietare l\'accesso agli utenti selezionati';
@@ -91,6 +91,6 @@
 $lang['Email admins when a new user registers'] = 'Notificare gli amministratori dell\'iscrizione di un nuovo utente';
 $lang['Email admins when a valid comment is entered'] = 'Notificare gli amministratori della presenza di un nuovo commento';
-$lang['Email admins when a comment requires validation'] = 'Notificare gli amministratori quando un commento richiede una convalida';
-$lang['Email admins when a picture is uploaded'] = 'Notificare gli amministratori quando un\'immagine è caricata';
+$lang['Email admins when a comment requires validation'] = 'Notificare gli amministratori quando un commento richiede un\'approvazione';
+$lang['Email admins when a picture is uploaded'] = 'Notificare gli amministratori quando un\'immagine viene caricata';
 $lang['Empty caddie'] = 'Svuotare il cestino';
 $lang['Environment'] = 'Ambiente';
@@ -134,5 +134,5 @@
 $lang['Path'] = 'Percorso';
 $lang['Permalink'] = 'Permalink';
-$lang['Permalink %s has been previously used by category %s. Delete from the permalink history first'] = 'Il permalink %s è stato usato precedentemente per la categoria %s. Cancellarlo prima dallo storico';
+$lang['Permalink %s has been previously used by category %s. Delete from the permalink history first'] = 'Il permalink %s è stato usato precedentemente per la categoria %s. Cancellarlo prima dalla cronologia';
 $lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = 'Il permalink deve essere composto unicamente dai caratteri seguenti : "a-zA-Z0-9", "-" o "_". Non deve essere numerico o iniziare con un numero seguito da "-"';
 $lang['Permalink %s is already used by category %s'] = 'Il permalink %s è già  usato nella galleria %s';
@@ -142,5 +142,5 @@
 $lang['Permission granted thanks to a group'] = 'Accesso autorizzato grazie al\'appartenenza ai gruppi';
 $lang['Permission granted'] = 'Accesso autorizzato';
-$lang['Picture informations updated'] = 'Informazioni dell\'immagine sono state aggiornate';
+$lang['Picture informations updated'] = 'Le informazioni dell\'immagine sono state aggiornate';
 $lang['Plugins'] = 'Plugins';
 $lang['Position'] = 'Posizione';
@@ -153,6 +153,6 @@
 $lang['Reject All'] = 'Rifiutare tutto';
 $lang['Reject'] = 'Rifiutare';
-$lang['Representant'] = 'Rappresentante';
-$lang['Representation of categories'] = 'Rappresentazione delle categorie';
+$lang['Representant'] = 'Copertina';
+$lang['Representation of categories'] = 'Copertine delle categorie';
 $lang['Representative'] = 'Rappresentativa';
 $lang['Represents'] = 'Rappresenta';
@@ -173,5 +173,5 @@
 $lang['Take selected elements out of caddie'] = 'Estrarre gli elementi selezionati dal cestino';
 $lang['The %d following tags were deleted'] = 'I %d tags seguenti sono stati cancellati';
-$lang['Unable to check for upgrade.'] = 'Non è stato possibile identificare l\'ultima versione.';
+$lang['Unable to check for upgrade.'] = 'Non è stato possibile controllare eventuali aggiornamenti.';
 $lang['Uninstall'] = 'Disinstallare';
 $lang['Use the default image sort order (defined in the configuration file)']='Usare l\'ordinamento delle immagini di default (cosi come definito nel file di configurazione)';
@@ -180,14 +180,14 @@
 $lang['Validate All'] = 'Approvare tutto';
 $lang['Validate'] = 'Approvare';
-$lang['Validation'] = 'Richiedere la validazione';
+$lang['Validation'] = 'Richiedere l\'approvazione';
 $lang['Version'] = 'Versione';
-$lang['Virtual categories movement'] = 'Spostare categoria virtuale';
+$lang['Virtual categories movement'] = 'Spostamenti categoria virtuale';
 $lang['Virtual categories to move'] = 'Categorie virtuali da spostare';
 $lang['Virtual category name'] = 'Nome della categoria virtuale';
-$lang['Webmaster cannot be deleted'] = 'Il webmaster non può essere cancellato';
+$lang['Webmaster cannot be deleted'] = 'Il Webmaster non può essere cancellato';
 $lang['You are running on development sources, no check possible.'] = 'State lavorando con una versione di sviluppo, impossibile verificare l\'ultima versione.';
-$lang['You cannot delete your account'] = 'Non potete cancellare il vostro conto utente';
+$lang['You cannot delete your account'] = 'Non potete cancellare il vostro account utente';
 $lang['You cannot move a category in its own sub category'] = 'Non potete spostare una categoria in una sua sottocategoria.';
-$lang['You need to confirm deletion'] = 'Dovete confermare la soppressione';
+$lang['You need to confirm deletion'] = 'Dovete confermare la cancellazione';
 $lang['add tags'] = 'Aggiungere i tags';
 $lang['Adviser'] = 'Consigliere';
@@ -196,10 +196,10 @@
 $lang['Authorized'] = 'Autorizzate';
 $lang['Add a virtual category'] = 'Aggiungere una categoria virtuale';
-$lang['Authorize users to add comments on selected categories'] = 'Autorizzare gli utenti ad aggiungere dei commenti nelle categorie selezionate';
+$lang['Authorize users to add comments on selected categories'] = 'Autorizzare gli utenti ad aggiungere commenti nelle categorie selezionate';
 $lang['The name of a category should not be empty'] = 'Il nome della categoria non deve essere vuoto';
 $lang['Lock categories'] = 'Blocco delle categorie';
 $lang['Private category'] = 'Categoria privata';
 $lang['Public category'] = 'Categoria pubblica';
-$lang['Find a new representant by random'] = 'Trovare un nuovo rappresentante a caso';
+$lang['Find a new representant by random'] = 'Scegliere una nuova copertina a caso';
 $lang['Public / Private'] = 'Pubblica / Privata';
 $lang['Manage authorizations for selected categories'] = 'Gestire le autorizzazione per le categorie selezionate';
@@ -214,9 +214,9 @@
 $lang['The gallery URL is not valid.'] = 'L\'URL della galleria non è valido.';
 $lang['Main'] = 'Principale';
-$lang['The number of comments a page must be between 5 and 50 included.'] = 'Il numero di commenti utenti per pagina deve essere compreso tra 5 e 50.';
+$lang['The number of comments a page must be between 5 and 50 included.'] = 'Il numero di commenti per pagina deve essere compreso tra 5 e 50.';
 $lang['Configuration'] = 'Configurazione';
 $lang['confirm'] = 'Confermare';
 $lang['Date'] = 'Data';
-$lang['delete category'] = 'cancellare la categoria';
+$lang['delete category'] = 'Cancellare la categoria';
 $lang['dissociate from category'] = 'Dissociare dalla categoria';
 $lang['dissociate from group'] = 'Dissociare dal gruppo';
@@ -225,5 +225,5 @@
 $lang['Authorize upload'] = 'Autorizzare l\'aggiunta d\'immagini';
 $lang['elements per page'] = 'Numero di elementi da visualizzare per pagina';
-$lang['elements'] = 'elementi';
+$lang['elements'] = 'Elementi';
 $lang['High definition enabled'] = 'Alta definizione attiva';
 $lang['File'] = 'File';
@@ -231,8 +231,8 @@
 $lang['first element added on %s'] = 'primo elemento aggiunto il %s';
 $lang['Forbidden'] = 'Vietati';
-$lang['global mode'] = 'Modo globale';
+$lang['global mode'] = 'Modalità globale';
 $lang['group "%s" added'] = 'Gruppo "%s" aggiunto';
-$lang['group "%s" deleted'] = 'gruppo "%s" cancellato';
-$lang['group "%s" updated'] = 'gruppo "%s" aggiornato';
+$lang['group "%s" deleted'] = 'Gruppo "%s" cancellato';
+$lang['group "%s" updated'] = 'Gruppo "%s" aggiornato';
 $lang['group'] = 'gruppo';
 $lang['The name of a group must not contain " or \' or be empty.'] = 'Il nome del gruppo non deve contenere " o \' e non deve essere vuoto.';
@@ -250,6 +250,6 @@
 $lang['maximum height'] = 'Altezza massima';
 $lang['maximum width'] = 'Larghezza massima';
-$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Il tempo di esecuzione è scaduto, il trattamento deve continuare [Tempo stimato: %d secondo].';
-$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Il tempo di esecuzione è scaduto, il trattamento deve continuare [Tempo stimato: %d secondi].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Il tempo di esecuzione è scaduto, il processo deve continuare [Tempo stimato: %d secondo].';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Il tempo di esecuzione è scaduto, il processo deve continuare [Tempo stimato: %d secondi].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'Il tempo di preparazione dell\'elenco degli utenti per l\'invio dell\'email è limitato. Gli altri utenti non sono elencati';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'Il tempo per l\'invio dell\'email è limitato. L\'invio delle altre email verra ignorato.';
@@ -260,5 +260,5 @@
 $lang['Complementary mail content'] = 'Contenuto complementare per l\'email';
 $lang['See you soon,'] = 'A presto,';
-$lang['Go to'] = 'A presto su ';
+$lang['Go to'] = 'Andare a';
 $lang['Hello'] = 'Ciao ';
 $lang['New elements were added'] = 'Nuovi elementi sono stati aggiunti ';
@@ -285,5 +285,5 @@
 $lang['No mail to send.'] = 'Nessuna email da inviare.';
 $lang['There is no available subscribers to mail.'] = 'Nessun utente da notificare via email.';
-$lang['Subscribers could be listed (available) only if there is new elements to notify.'] = 'Un utente è da notificare se ci sono nuovi elementi disponibili.';
+$lang['Subscribers could be listed (available) only if there is new elements to notify.'] = 'Un utente è da notificare solamente se ci sono nuovi elementi disponibili.';
 $lang['Anyway only webmasters can see this tab and never administrators.'] = 'Solo il webmaster può accedere a queste informazioni, non gli amministratori.';
 $lang['No user to send notifications by mail.'] = 'Nessun utente da notificare via email.';
@@ -291,8 +291,8 @@
 $lang['Subscribe to notification by mail'] = 'Sottoscrivere alla notifica via email';
 $lang['Unsubscribe from notification by mail'] = 'Cancella dalla notifica via email';
-$lang['Parameter'] = 'Parametri';
-$lang['Processing treatment.'] = 'Trattamento in corso.';
-$lang['Please wait...'] = 'Pazzientare prego ...';
-$lang['Continue processing treatment'] = 'Continuare il trattamento in corso...';
+$lang['Parameter'] = 'Parametro';
+$lang['Processing treatment.'] = 'Elaborazione in corso.';
+$lang['Please wait...'] = 'Attendere prego ...';
+$lang['Continue processing treatment'] = 'Continuare il processo in corso...';
 $lang['Complementary mail content'] = 'Contenuto aggiuntivo dell\'email';
 $lang['Add detailed content'] = 'Invia contenuto dettagliato';
@@ -304,7 +304,7 @@
 $lang['Subscribe'] = 'Iscrizione';
 $lang['Parameters'] = 'Parametri';
-$lang['Select recipients'] = 'Selezionare gli invii';
+$lang['Select recipients'] = 'Selezionare i destinatari';
 $lang['Subscribe/unsubscribe users'] = 'Iscrivere/Cancellare utenti';
-$lang['Unsubscribed'] = 'Non inscritti';
+$lang['Unsubscribed'] = 'Non iscritti';
 $lang['%d parameter was updated.'] = '%d parametro è stato aggiornato.';
 $lang['%d parameters were updated.'] = '%d parametri sono stati aggiornati.';
@@ -318,5 +318,5 @@
 $lang['User %s [%s] was not added to the subscription list.'] = 'L\'utente %s [%s] non è stato aggiunto all\'elenco degli iscritti.';
 $lang['User %s [%s] added.'] = 'Utente %s [%s] aggiunto.';
-$lang['Warning: subscribing or unsubscribing will send mails to users'] = 'Attenzione: la sottoscrizione o la soppressione invierà  un\'email agli utenti in questione';
+$lang['Warning: subscribing or unsubscribing will send mails to users'] = 'Attenzione: la sottoscrizione o eliminazione, invierà  un\'email agli utenti in questione';
 $lang['Send mail on HTML format'] = 'Invio dell\'email in formato HTML';
 $lang['Include display of recent pictures group by dates'] = 'Includere le ultime immagini per data';
@@ -326,33 +326,33 @@
 $lang['private'] = 'privato';
 $lang['public'] = 'pubblico';
-$lang['Purge never used notification feeds'] = '"Ripulire" i flussi di notifica mai usate';
+$lang['Purge never used notification feeds'] = '"Ripulire" i flussi di notifica mai usati';
 $lang['Purge sessions'] = '"Ripulire" le sessioni';
-$lang['randomly represented'] = 'rappresentante a caso';
-$lang['registration date'] = 'data di registrazione';
-$lang['clean'] = 'ripulire';
+$lang['randomly represented'] = 'Copertina a caso';
+$lang['registration date'] = 'Data di registrazione';
+$lang['clean'] = 'Ripulire';
 $lang['remove remote listing.xml file'] = 'Rimuovere il file remoto "listing.xml"';
-$lang['generate listing'] = 'generare il listing';
-$lang['generate file listing.xml on remote site'] = 'generare il file "listing.xml" sul sito remoto';
-$lang['Create this site'] = 'Creare sito';
+$lang['generate listing'] = 'Generare il listing';
+$lang['generate file listing.xml on remote site'] = 'Generare il file "listing.xml" sul sito remoto';
+$lang['Create this site'] = 'Creare questo sito';
 $lang['A local listing.xml file has been found for'] = 'Un file "listing.xml" è stato trovato per ';
-$lang['read local listing.xml and update'] = 'leggere il file "listing.xml" e aggiornare';
-$lang['test'] = 'verificare';
-$lang['test this remote site'] = 'verificare sito remoto';
+$lang['read local listing.xml and update'] = 'Leggere il file "listing.xml" e aggiornare';
+$lang['test'] = 'Verificare';
+$lang['test this remote site'] = 'Verificare sito remoto';
 $lang['remove tags'] = 'Rimuovere i tags';
-$lang['Repair and optimize database'] = 'Riparare o ottimizzare il database';
-$lang['selection'] = 'selezione';
+$lang['Repair and optimize database'] = 'Riparare e ottimizzare il database';
+$lang['selection'] = 'Selezione';
 $lang['set to'] = 'Impostare a';
-$lang['singly represented'] = 'rappresentante fisso';
+$lang['singly represented'] = 'Copertina fissa';
 $lang['This site already exists'] = 'Questo sito esiste già ';
 $lang['Create a new site : (give its URL to create_listing_file.php)'] = 'Creare un nuovo sito: (indicare URL verso "create_listing_file.php")';
 $lang['created'] = 'creato';
-$lang['delete'] = 'cancellare';
-$lang['delete this site and all its attached elements'] = 'cancellare questo sito e tutti gli elementi ad esso connessi';
+$lang['delete'] = 'Cancellare';
+$lang['delete this site and all its attached elements'] = 'Cancellare questo sito e tutti gli elementi ad esso connessi';
 $lang['deleted'] = 'cancellato';
 $lang['an error happened'] = 'Si è verificato un\'errore';
-$lang['file create_listing_file.php on remote site was not found'] = 'file "create_listing_file.php" introvabile sul sito remoto';
+$lang['file create_listing_file.php on remote site was not found'] = 'file "create_listing_file.php" non trovato sul sito remoto';
 $lang['Local'] = 'Locale';
 $lang['Remote'] = 'Remoto';
-$lang['synchronize'] = 'sincronizzare';
+$lang['synchronize'] = 'Sincronizzare';
 $lang['update the database from files'] = 'Aggiornare il database dai files';
 $lang['status'] = 'Stato';
@@ -391,5 +391,5 @@
 $lang['total time'] = 'tempo totale';
 $lang['for this file format'] = 'per questo formato di file';
-$lang['unit mode'] = 'Modo unitario';
+$lang['unit mode'] = 'Modalità singolo';
 $lang['Unlocked'] = 'Sbloccate';
 $lang['unset'] = 'Svuotare';
@@ -441,5 +441,5 @@
 $lang['user_status_normal'] = 'Utente';
 $lang['user_status_webmaster'] = 'Webmaster';
-$lang['Virtual category'] = 'Categorie virtuale';
+$lang['Virtual category'] = 'Categoria virtuale';
 $lang['Waiting'] = 'In attesa';
 $lang['default'] = 'di default';
@@ -460,9 +460,9 @@
 $lang['Section'] = 'Selezione';
 $lang['Tags'] = 'Tags';
-$lang['Save page visits by guests'] = 'Registrare le pagini visitate da gli ospiti';
-$lang['Save page visits by users'] = 'Registrare le pagini visitate da gli utenti';
-$lang['Save page visits by administrators'] = 'Registrare le pagini visitate da gli amministratori';
-$lang['An information email was sent to group "%s"'] = 'Un\'email d\'informazione è stato inviato agli utenti del gruppo "%s"';
-$lang['Send an information email to group members'] = 'Inviare un\'email d\'informazione agli utenti di un gruppo';
+$lang['Save page visits by guests'] = 'Registrare le pagine visitate dagli ospiti';
+$lang['Save page visits by users'] = 'Registrare le pagine visitate dagli utenti';
+$lang['Save page visits by administrators'] = 'Registrare le pagine visitate dagli amministratori';
+$lang['An information email was sent to group "%s"'] = 'Un\'email informativa è stata inviata agli utenti del gruppo "%s"';
+$lang['Send an information email to group members'] = 'Inviare un\'email informativa agli utenti di un gruppo';
 $lang['Group'] = 'Gruppo';
 $lang['[%s] Come to visit the category %s'] = '[%s] Venite a visitare la categoria %s';
@@ -474,5 +474,5 @@
 $lang['high'] = 'high';
 $lang['other'] = 'altro';
-$lang['Element type'] = 'tipo di elemento';
+$lang['Element type'] = 'Tipo di elemento';
 $lang['Image id'] = 'Id immagine';
 $lang['Summary'] = 'Riassunto';
@@ -484,5 +484,5 @@
 $lang['guest'] = 'ospite';
 $lang['default values'] = 'valore di default';
-$lang['High filesize'] = 'Dimenzione del file Alta Risoluzione';
+$lang['High filesize'] = 'Dimensione del file in Alta Risoluzione';
 $lang['Guest cannot be deleted'] = 'L\'utente "ospite" non può essere cancellato';
 $lang['Default user cannot be deleted'] = 'L\'utente di default non può essere cancellato';
@@ -503,6 +503,6 @@
 $lang['%d anomalies have not been corrected.'] = 'non è stato possibile correggere %d anomalie.';
 $lang['Go to %s or %s for more informations'] = 'Recarsi su : %s o %s per avere più informazioni';
-$lang['the forum'] = 'il forum';
-$lang['the wiki'] = 'il wiki';
+$lang['the forum'] = 'il Forum';
+$lang['the wiki'] = 'la Wiki';
 $lang['%s value is not correct file because exif are not supported'] = 'Il valore %s non è corretto perchè i files con dati EXIF non sono supportati';
 $lang['%s must be to set to false in your local/config/config.inc.php file'] = '%s deve essere impostato su "false" nel vostro file local/config/config.inc.php';
@@ -511,5 +511,5 @@
 $lang['Default user does not exist'] = 'L\'utente di default non esiste¹';
 $lang['Main "webmaster" user does not exist'] = 'L\'utente "webmaster" principale non esiste più';
-$lang['Main "webmaster" user status is incorrect'] = 'Lo stato dell\'utente "webmaster" principal non è corretto';
+$lang['Main "webmaster" user status is incorrect'] = 'Lo stato dell\'utente "webmaster" principale non è corretto';
 $lang['User "%s" created with "%s" like password'] = 'L\'utente "%s" creato con la password "%s"';
 $lang['Status of user "%s" updated'] = 'Stato dell\'utente "%s" aggiornato';
@@ -538,5 +538,5 @@
 $lang['%d anomaly has been ignored.'] = '%d anomalia è stata ignorata.';
 $lang['%d anomalies have been ignored.'] = '%d anomalie sono state ignorate.';
-$lang['Plugins which need upgrade'] = 'Plugins che necessitano di un aggiornamento';
+$lang['Plugins which need upgrade'] = 'Plugins che necessitano di aggiornamento';
 $lang['Plugins up to date'] = 'Plugins aggiornati';
 $lang['Plugin versions can\'t be checked'] = 'La versione del plugin non può essere verificata';
@@ -546,5 +546,5 @@
 $lang['Download file'] = 'Scaricare il file';
 $lang['Plugin list'] = 'Elenco dei plugins';
-$lang['Check for updates'] = 'Verificare aggiornamenti';
+$lang['Check for updates'] = 'Controllare aggiornamenti';
 $lang['Other plugins'] = 'Altri plugins disponibili';
 $lang['Last revisions'] = 'Ultimi aggiornamenti';
@@ -557,13 +557,13 @@
 $lang['You might go to plugin list to install and activate it.'] = 'Recatevi nella lista dei plugins per installarlo ed attivarlo.';
 $lang['Can\'t create temporary file.'] = 'È impossibile creare un file temporaneo.';
-$lang['Can\'t download archive.'] = 'È impossibile recuperare l\'archivio.';
-$lang['Can\'t read or extract archive.'] = 'È impossibile leggere o di eseguire l\'archivio.';
+$lang['Can\'t download archive.'] = 'È impossibile scaricare l\'archivio.';
+$lang['Can\'t read or extract archive.'] = 'È impossibile leggere o eseguire l\'archivio.';
 $lang['An error occured during extraction (%s).'] = 'Si è verificato un\'errore durante l\'estrazione del file (%s).';
 $lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'Verificate i permessi della cartella "plugins" e delle sue sotto cartelle (CHMOD).';
 $lang['Can\'t connect to server.'] = 'Non è possibile connettersi al server.';
-$lang['Purge compiled templates'] = '"Ripulire" i templates compilati';
+$lang['Purge compiled templates'] = 'Ripulire i templates compilati';
 $lang['Caddie is currently empty'] = 'Il cestino è attualmente vuoto.';
 $lang['Show upload link every time'] = 'Mostra sempre il link per caricare le immagini';
-$lang['User access level to upload'] = 'Livello d\'accesso utente per l\'upload';
+$lang['User access level to upload'] = 'Livello d\'accesso utente per il caricamento delle foto';
 $lang['ACCESS_0'] = 'Accesso libero';
 $lang['ACCESS_1'] = 'Accesso a tutti';
@@ -579,8 +579,8 @@
 $lang['You are running the latest version of Piwigo.'] = 'State già  usando l\'ultima versione di Piwigo.';
 $lang['The version of %s [%s] installed is not compatible with the version required [%s]'] = 'La versione di %s [%s] installata non è compatible con la versione richiesta [%s]';
-$lang['You need to upgrade your system to take full advantage of the application else the application will not work correctly, or not at all'] = 'Dovete aggiornare il vostro sistema per potere proffittare pienamente del\'applicazione se no l\'applicazione non funzionera correttamente, o non funzionera per niente';
+$lang['You need to upgrade your system to take full advantage of the application else the application will not work correctly, or not at all'] = 'Dovete aggiornare il vostro sistema per poter sfruttare completamente l\'applicazione, altrimenti l\'applicazione non funzionerà correttamente, o non funzionerà per niente';
 $lang['Deleted on'] = 'Cancellati su';
 $lang['Last hit'] = 'Ultimo punteggio';
-$lang['GD library is missing'] = 'la biblioteca GD è manquante';
+$lang['GD library is missing'] = 'la biblioteca GD è mancante';
 $lang['Templates'] = 'Templates (modelli)';
 $lang['Extend for templates'] = 'Estendere i templates';
@@ -596,5 +596,5 @@
 $lang['nothing'] = 'Niente';
 $lang['overrides existing values with empty ones'] = 'Sovrascrivere i valori esistenti con quelli vuoti';
-$lang['manage image ranks'] = 'gestire l\'ordinamento delle immagini';
+$lang['manage image ranks'] = 'Gestire l\'ordinamento delle immagini';
 $lang['Manage image ranks'] = 'Gestire l\'ordinamento delle immagini';
 $lang['Edit ranks'] = 'Modificare l\'ordine';
@@ -612,7 +612,7 @@
 $lang['Downloads'] = 'Downloads';
 $lang['Released on'] = 'Aggiunto il';
-$lang['Number of downloads'] = 'Totale dei downloads';
+$lang['Number of downloads'] = 'Totale downloads';
 $lang['Piwigo Announcements Newsletter'] = 'Newsletter Piwigo';
-$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Rimanete in contatto con il progetto Piwigo, iscrivetevi alla neswletter di Piwigo Announcement. Riceverete un\'email quando una nuova versione sarà disponibile (a volte un bug di sicurezza viene corretto, è importante saperlo e quind aggiornare) e quando capita di grandi eventi del progetto. Solo alcune emails all\'anno';
+$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Rimanete in contatto con il progetto Piwigo, iscrivetevi alla newsletter di Piwigo Announcement. Riceverete un\'email quando una nuova versione sarà disponibile (a volte un bug di sicurezza viene corretto, è importante saperlo e quindi aggiornare) e quando ci saranno grandi eventi del progetto. Sono solamente alcune emails all\'anno';
 $lang['Subscribe %s'] = 'Iscrivere %s';
 $lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Iscrivere %s alla newsletter Piwigo';
@@ -626,5 +626,5 @@
 $lang['Email administrators when a comment is modified'] = 'Inviare un\'email agli amministratori quando un commento viene modificato';
 $lang['Email administrators when a comment is deleted'] = 'Inviare un\'email agli amministratori quando un commento viene cancellato';
-$lang['Cannot delete the old permalink !'] = 'Non è possibile cancellare questo vecchio permalink !';
+$lang['Cannot delete the old permalink !'] = 'Non è possibile cancellare il vecchio permalink !';
 $lang['Hit'] = 'punteggio';
 
@@ -641,9 +641,9 @@
 $lang['unknown'] = 'sconosciuto';
 
-$lang['Upload Photos'] = 'Aggiungete le vostre foto';
+$lang['Upload Photos'] = 'Aggiungere foto';
 $lang['Drop into category'] = 'Scegliere una categoria';
 $lang['+ Add an upload box'] = '+ Aggiungere un altro campo di upload';
-$lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Creare la directory "% s" alla radice della vostra installazione Piwigo';
-$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Dare i permessi in scrittura (chmod 777) nella directory "% s" alla radice della vostra installazione Piwigo';
+$lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Creare la directory "% s" nella radice della vostra installazione Piwigo';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Dare i permessi in scrittura (chmod 777) alla directory "% s" nella radice della vostra installazione Piwigo';
 $lang['existing category'] = 'categoria esistente';
 $lang['create a new category'] = 'creare una nuova categoria';
@@ -653,6 +653,6 @@
 $lang['%d photos uploaded'] = '%d foto aggiunte';
 $lang['Privacy level set to "%s"'] = 'Livello di confidenzialità t "%s"';
-$lang['Category "%s" now contains %d photos'] = 'La categoria "%s" contiene oramai %d foto';
-$lang['Manage this set of %d photos'] = 'Gestire questo lotto di %d foto';
+$lang['Category "%s" now contains %d photos'] = 'La categoria "%s" adesso contiene %d foto';
+$lang['Manage this set of %d photos'] = 'Gestire questo set di %d foto';
 $lang['Select files'] = 'Scegliere i file';
 $lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'File JPEG o archivi ZIP con dentro dei file JPEG per cortesia.';
@@ -660,5 +660,5 @@
 $lang['Who can see these photos?'] = 'Chi può vedere queste foto?';
 $lang['Who can see this photo?'] = 'Chi può vedere questa foto?';
-$lang['... or switch to the old style form'] = '... o passare sul modulo "vecchia maniera"';
+$lang['... or switch to the old style form'] = '... o passare sul modulo "vecchio stile"';
 $lang['... or switch to the multiple files form'] = '... o passare sul modulo multi-file';
 
@@ -685,11 +685,11 @@
 $lang['Administration Home'] = 'Home Amministrazione';
 $lang['Categories ordered alphanumerically'] = 'Categorie ordinate in modo alfanumerico';
-$lang['Categories ordered alphanumerically reverse'] = 'Categorie ortinate in modo alfanumerico inverso';
+$lang['Categories ordered alphanumerically reverse'] = 'Categorie ordinate in modo alfanumerico inverso';
 $lang['Change Admin Colors'] = 'Modificare i colori dell\'amministrazione';
 $lang['Delete this theme'] = 'Cancellare questo tema';
 $lang['Directory does not exist'] = 'La directory non esiste';
-$lang['Download,'] = 'Caricare,';
+$lang['Download,'] = 'Scaricare,';
 $lang['FTP + Synchronization'] = 'FTP + Sincronizzazione';
-$lang['Get Support on Piwigo Forum'] = 'Ottenere supporto sul forum Piwigo';
+$lang['Get Support on Piwigo Forum'] = 'Ottenere supporto sul forum di Piwigo';
 $lang['Help Me'] = 'Aiuto';
 $lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Non è stato possibile attivare questo tema, manca il tema principale (superiore): %s';
@@ -700,7 +700,7 @@
 $lang['Page end'] = 'Fine pagina';
 $lang['Piwigo Uploader'] = 'Piwigo Uploader';
-$lang['Processing treatment.'] = 'Trattamento di trasformazione.';
+$lang['Processing treatment.'] = 'Elaborazione in corso...';
 $lang['Please wait...'] = 'Attendere prego...';
-$lang['Read Piwigo Documentation'] = 'Leggere la documentazione Piwigo';
+$lang['Read Piwigo Documentation'] = 'Leggere la documentazione di Piwigo';
 $lang['Start pLoader and add your photos.'] = 'Avviare pLoader e aggiungere le vostre foto.';
 $lang['Switch to clear or dark colors for administration'] = 'Scegliere il colore chiaro o scuro per l\'amministrazione';
@@ -725,8 +725,8 @@
 $lang['Language has been successfully installed'] = 'La lingua è stata installata con successo';
 $lang['Allow user customization'] = 'Permettere la personalizzazione della visualizzazione';
-$lang['Select:'] = 'Selezzionare :';
+$lang['Select:'] = 'Selezionare :';
 $lang['None'] = 'Niente';
 $lang['Invert'] = 'Invertire';
-$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Non è possibile disattivare questo tema, deve rimanere almeno un tema attivo.';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Non è possibile disattivare questo tema, ci deve essere almeno un tema attivo.';
 $lang['Webmaster status is required.'] = 'Dovete avere lo stato di webmaster.';
 $lang['Bound Theme'] = 'Tema legato';
@@ -743,5 +743,5 @@
 $lang['Forbid this language to users'] = 'Vietare questa lingua agli utenti';
 $lang['Impossible to deactivate this language, first set another language as default.'] = 'Impossibile disattivare questa lingua, prima impostare come default un altra lingua.';
-$lang['Impossible to deactivate this language, you need at least one language.'] = 'Impossibile disattivare questa lingua. Deve rimanere almeno una lingua.';
+$lang['Impossible to deactivate this language, you need at least one language.'] = 'Impossibile disattivare questa lingua. Deve essere attiva almeno una lingua.';
 $lang['Inactive Languages'] = 'Lingue disattivate';
 $lang['Make this language available to users'] = 'Rendere questa lingua disponibile agli utenti';
@@ -751,13 +751,13 @@
 $lang['Miscellaneous'] = 'Informazioni';
 $lang['The following tag was deleted'] = 'Il tag seguente è stato cancellato';
-$lang['User Upload'] = 'Immagini dagli utenti';
+$lang['User Upload'] = 'Immagini caricate dagli utenti';
 $lang['Virtual Links'] = 'Collegamenti virtuali';
 $lang['There is no other language available.'] = 'Non ci sono altre lingue disponibili.';
 $lang['There is no other plugin available.'] = 'Non ci sono altri plugin disponibili.';
 $lang['There is no other theme available.'] = 'Non ci sono altri temi disponibili.';
-$lang['delete'] = 'cancellare';
+$lang['delete'] = 'Cancellare';
 $lang['Add another set of photos'] = 'Aggiungi un altro set di foto';
 $lang['Order of menubar items has been updated successfully.'] = 'L\'ordine degli elementi della barra dei menu è stato aggiornato con successo.';
 $lang['This theme was not designed to be directly activated'] = 'Questo tema non è stato progettato per essere attivato direttamente';
-$lang['Pending Comments'] = 'Commento in attesa';
+$lang['Pending Comments'] = 'Commenti in attesa';
 ?>