Index: /extensions/nbc_ThemeChanger/admin/nbc_ThemeChanger_admin.php
===================================================================
--- /extensions/nbc_ThemeChanger/admin/nbc_ThemeChanger_admin.php	(revision 6647)
+++ /extensions/nbc_ThemeChanger/admin/nbc_ThemeChanger_admin.php	(revision 6648)
@@ -105,4 +105,5 @@
 						$newconf_nbc_ThemeChanger .= ';';
 					//echo ' Recup : '.$element_ThemeChanger[0];
+					if ($element_ThemeChanger[1])
 					$newconf_nbc_ThemeChanger .= $element_ThemeChanger[0].','.$element_ThemeChanger[1];
 				}
@@ -212,4 +213,5 @@
         'CATEGORY_ID'	=> $element_ThemeChanger[0],
         'TEMPLATE'		=> $element_ThemeChanger[1],
+		'STATUS'		=> my_get_pwg_theme_status($element_ThemeChanger[1]),
         'U_MODIFY'      => add_url_params($page_ThemeChanger_admin, array(
 			'action'		=> 'mod_assoc',
Index: /extensions/nbc_ThemeChanger/admin/nbc_ThemeChanger_admin.tpl
===================================================================
--- /extensions/nbc_ThemeChanger/admin/nbc_ThemeChanger_admin.tpl	(revision 6647)
+++ /extensions/nbc_ThemeChanger/admin/nbc_ThemeChanger_admin.tpl	(revision 6648)
@@ -2,4 +2,6 @@
 <link rel="stylesheet" href="plugins/nbc_ThemeChanger/theme/style.css" type="text/css" id="" />
 <script type="text/javascript" src="plugins/nbc_ThemeChanger/include/jquery.tablesorter.js"></script> 
+
+
 {literal}
 
@@ -9,8 +11,11 @@
     $.tablesorter.defaults.widgets = ['zebra']; 
     // extend the default setting to always sort on the first column 
-    $.tablesorter.defaults.sortList = [[1,0]]; 
+    $.tablesorter.defaults.sortList = [[0,0]]; 
 	// On choisi ici la colonne 5 (l'index commence à 0) // On désactive le tri sur cette colonne 
 	$.tablesorter.defaults.headers = { 
             2: {  
+				sorter: false  
+				}  ,
+				3: {  
 				sorter: false  
 				}  
@@ -19,4 +24,16 @@
     $("table").tablesorter(); 
 }); 
+</script>
+
+<script type='text/javascript'>
+$(function(){
+	$(".assocLink").tipTip({
+		maxWidth: "auto", 
+		activation: "hover",
+		edgeOffset: 10,
+		defaultPosition: "top",
+		delay: 0
+	});
+});
 </script>
 
@@ -40,4 +57,5 @@
     <th>{'theme'|@translate}</th>
     <th>{'action'|@translate}</th>
+	<th>{'Status'|@translate}</th>
   </tr>
   </thead> 
@@ -49,8 +67,19 @@
     <td>{$assoc.CATEGORY_NAME}</td>
     <td>{$assoc.TEMPLATE}</td>
-    <td style="text-align:center;">
-      <a href="{$assoc.U_MODIFY}"><img src="{$themeconf.icon_dir}/register.png" class="button" style="border:none" alt="{'modify_assoc'|@translate}" title="{'modify_assoc'|@translate}"></a>
-      <a href="{$assoc.U_DELETE}" onclick="return confirm('{'Are you sure?'|@translate}');" ><img src="{$themeconf.icon_dir}/remove_s.png" class="button" style="border:none" alt="{'delete_assoc'|@translate}" title="{'delete_assoc'|@translate}"></a>
+    <td class="TDcenter">
+      <a  href="{$assoc.U_MODIFY}"><img src="{$themeconf.icon_dir}/register.png" class="assocLink" alt="{'modify_assoc'|@translate}" title="{'modify_assoc'|@translate}"></a>
+      <a  href="{$assoc.U_DELETE}" onclick="return confirm('{'Are you sure?'|@translate}');" ><img src="{$themeconf.icon_dir}/remove_s.png" class="assocLink" alt="{'delete_assoc'|@translate}" title="{'delete_assoc'|@translate}"></a>
     </td>
+	<td class="TDcenter">
+		{if ($assoc.STATUS=="Active")}
+					<img src="{$themeconf.icon_dir}/validate_s.png" class="assocLink" alt="{'Valide_assoc'|@translate}" title="{'Valide_assoc'|@translate}">		
+		{else}
+		{if ($assoc.STATUS=="Delete")}
+			<img src="{$themeconf.icon_dir}/errors.png" class="assocLink" alt="{'ErrorDelete_assoc'|@translate}" title="{'ErrorDelete_assoc'|@translate}" >
+		{else}
+			<img src="{$themeconf.icon_dir}/infos.png" class="assocLink"  alt="{'ErrorUnactive_assoc'|@translate}" title="{'ErrorUnactive_assoc'|@translate}">
+		{/if}
+		{/if}		
+	</td>
 	
   </tr>
Index: /extensions/nbc_ThemeChanger/include/functions_ThemeChanger.inc.php
===================================================================
--- /extensions/nbc_ThemeChanger/include/functions_ThemeChanger.inc.php	(revision 6647)
+++ /extensions/nbc_ThemeChanger/include/functions_ThemeChanger.inc.php	(revision 6648)
@@ -71,11 +71,29 @@
 }
 
-/*
-function my_existe_theme ($themeId)
+
+function my_exist_pwg_theme ($themeId)
 {
-	return -1;
+	return realpath(PHPWG_ROOT_PATH.'themes'.'/'.$themeId);
 }
 
 
+function my_get_pwg_theme_status($themeId)
+{
+	if (!my_exist_pwg_theme($themeId))
+		return 'Delete';
+	else 
+	{
+		$themes = my_get_pwg_themes();
+		$i_themeName = 0;
+		while (ISSET($themes[$i_themeName])){
+			if ($themes[$i_themeName]['id'] == $themeId)
+				return 'Active';
+			$i_themeName++;	
+		}
+	}
+	return 'Inactive';
+}
+
+/*
 function my_get_pwg_themeName ($themeId)
 {
Index: /extensions/nbc_ThemeChanger/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/nbc_ThemeChanger/language/en_UK/plugin.lang.php	(revision 6647)
+++ /extensions/nbc_ThemeChanger/language/en_UK/plugin.lang.php	(revision 6648)
@@ -1,3 +1,7 @@
 <?php
+/***************V2.1.0.c*****************/
+$lang['Valide_assoc'] = 'Valide association ';
+$lang['ErrorDelete_assoc'] = 'Association invalid because of suppress theme';
+$lang['ErrorUnactive_assoc'] = 'Association invalid because of inactive theme';
 
 $lang['title_assoc'] = 'ThemeChanger';
Index: /extensions/nbc_ThemeChanger/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/nbc_ThemeChanger/language/es_ES/plugin.lang.php	(revision 6647)
+++ /extensions/nbc_ThemeChanger/language/es_ES/plugin.lang.php	(revision 6648)
@@ -1,3 +1,8 @@
 <?php
+/***************V2.1.0.c*****************/
+$lang['Valide_assoc'] = 'Valide association';
+$lang['ErrorDelete_assoc'] = 'Association invalid because of suppress theme';
+$lang['ErrorUnactive_assoc'] = 'Association invalid because of inactive theme';
+
 
 $lang['title_assoc'] = 'ThemeChanger';
Index: /extensions/nbc_ThemeChanger/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/nbc_ThemeChanger/language/fr_FR/plugin.lang.php	(revision 6647)
+++ /extensions/nbc_ThemeChanger/language/fr_FR/plugin.lang.php	(revision 6648)
@@ -1,3 +1,7 @@
 <?php
+/***************V2.1.0.c*****************/
+$lang['Valide_assoc'] = 'Association valide';
+$lang['ErrorDelete_assoc'] = 'Association invalide à cause d la supression du thème';
+$lang['ErrorUnactive_assoc'] = 'Association invalide à cause de la désactivation du thème';
 
 $lang['title_assoc'] = 'ThemeChanger';
Index: /extensions/nbc_ThemeChanger/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/nbc_ThemeChanger/language/hu_HU/plugin.lang.php	(revision 6647)
+++ /extensions/nbc_ThemeChanger/language/hu_HU/plugin.lang.php	(revision 6648)
@@ -1,3 +1,7 @@
 <?php
+/***************V2.1.0.c*****************/
+$lang['Valide_assoc'] = 'Valide association ';
+$lang['ErrorDelete_assoc'] = 'Association invalid because of suppress theme';
+$lang['ErrorUnactive_assoc'] = 'Association invalid because of inactive theme';
 
 $lang['title_assoc'] = 'ThemeChanger';
Index: /extensions/nbc_ThemeChanger/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/nbc_ThemeChanger/language/it_IT/plugin.lang.php	(revision 6647)
+++ /extensions/nbc_ThemeChanger/language/it_IT/plugin.lang.php	(revision 6648)
@@ -1,3 +1,8 @@
 <?php
+/***************V2.1.0.c*****************/
+$lang['Valide_assoc'] = 'Associazione valida';
+$lang['ErrorDelete_assoc'] = 'Associazione non valida a causa dell\'eliminazione del tema';
+$lang['ErrorUnactive_assoc'] = 'Associazione non valida a causa della disattivazione del tema';
+
 
 $lang['title_assoc'] = 'ThemeChanger';
Index: /extensions/nbc_ThemeChanger/main.inc.php
===================================================================
--- /extensions/nbc_ThemeChanger/main.inc.php	(revision 6647)
+++ /extensions/nbc_ThemeChanger/main.inc.php	(revision 6648)
@@ -57,9 +57,8 @@
   if (isset($page['category']['id']) and isset($category_theme[$page['category']['id']]))
   {
+	$Defalut_user_theme = $user['theme'];
 	if (realpath(PHPWG_ROOT_PATH.'themes'.'/'.$category_theme[$page['category']['id']]))
 		$user['theme'] = $category_theme[$page['category']['id']];
-	else 
-		$user['theme'] = 'Sylvia';
-	
+
 	$template = new Template(PHPWG_ROOT_PATH.'themes', $user['theme']);
   }
Index: /extensions/nbc_ThemeChanger/theme/style.css
===================================================================
--- /extensions/nbc_ThemeChanger/theme/style.css	(revision 6647)
+++ /extensions/nbc_ThemeChanger/theme/style.css	(revision 6648)
@@ -23,2 +23,9 @@
 }
 
+.assocLink{
+	border:	none;
+	width:	25px; 
+	height:	25px;
+	
+}
+td.TDcenter {text-align:center;}